<?php
/**
 * The result view file of thinkrun module of ZenTaoPMS.
 * @copyright   Copyright 2009-2023 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Yu Zhang <zhangyu@easycorp.ltd>
 * @package     thinkrun
 * @link        https://www.zentao.net
 */
namespace zin;
jsVar('storyType', $storyType);
jsVar('storyNames', $storyNames);
jsVar('subIDs', $subIDs);
jsVar('boardID', $boardID);

if($storyType == 'projectstory')
{
    $projects = $this->loadModel('project')->getPairs();
    $projectID = key($projects);
    $products = array();
    foreach($projects as $index => $item)
    {
        $products = arrayUnion($products, $this->loadModel('product')->getProductPairsByProject($index));
    }
    $productID = key($projects);
}
jsVar('projects', !empty($projects) ? $projects : array());
jsVar('products', !empty($products) ? $products : array());

formPanel
(
    setClass('select-product'),
    set::title($title),
    set::actions(array(array('text' => $lang->story->nextStep, 'class' => 'primary', 'btnType' => 'button', 'onclick' => 'clickNext()'))),

    $storyType !== 'demand' ? formGroup
    (
        set::label($lang->story->product),
        set::required(true),
        picker
        (
            set::name('product'),
            set::required(true),
            set::items($products),
            set::value(key($products))
        )
    ) : formGroup
    (
        set::label($lang->story->pool),
        set::required(true),
        picker(set::name('pool'), set::required(true), set::items($pools), set::value(key($pools)))
    ),
    formHidden('project', !empty($projectID) ? $projectID : 0),
    div(div(setClass('text-danger hidden'), setStyle('margin-left',  '96px'), ($storyType !== 'demand' ? $lang->story->product : $lang->story->pool) . $lang->story->noEmpty))
);
