<?php
/**
 * 初始化创建需求的一些字段的数据。
 * Init story for create.
 *
 * @param  int       $planID
 * @param  int       $storyID
 * @param  int       $bugID
 * @param  int       $todoID
 * @param  string    $extra feedback扩展使用
 * @access public
 * @return object
 */
public function initStoryForCreate($planID, $storyID, $bugID, $todoID, $extra = '', $storyName = '')
{
    $fields = parent::initStoryForCreate($planID, $storyID, $bugID, $todoID, $extra);

    $extra = str_replace(array(',', ' '), array('&', ''), $extra);
    parse_str($extra, $output);
    extract($output);

    if(!empty($fromType) && $fromType !== 'board')
    {
        /* Get information and history of from object. */
        $fromObject   = $this->loadModel($fromType)->getById($fromID);
        $fromOpenedBy = $this->loadModel('user')->getById($fromObject->openedBy);
        $actions      = $this->loadModel('action')->getList($fromType, $fromID);

        /* Change desc if feedback has been reviewed. */
        if($fromType == 'feedback')
        {
            foreach($actions as $action)
            {
                if($action->action == 'reviewed' and $action->comment) $fromObject->desc .= $fromObject->desc ? '<br/>' . $this->lang->feedback->reviewOpinion . '：' . $action->comment : $this->lang->feedback->reviewOpinion . '：' . $action->comment;
            }
        }

        $fields->source     = $fromOpenedBy->role;
        $fields->sourceNote = $fromOpenedBy->realname;
        $fields->productID  = $fromObject->product;
        $fields->title      = $fromObject->title;
        $fields->module     = $fromObject->module;
        $fields->spec       = $fromObject->desc;
    }
    if(!empty($fromType) && $fromType === 'board')
    {
        $fields->title = $storyName;
    }

    return $fields;
}
