<?php
namespace zin;

global $lang, $app;

$pools   = data('pools');
$boardID = data('boardID');
$from    = data('from');
$title   = data('title');
$subIDs  = data('subIDs');

if($boardID)
{
    $app->loadLang('board');
    query('formGridPanel')->each(function($node) use($lang, $pools, $from, $title, $subIDs)
    {
        $fields = $node->prop('fields');

        $fields->remove('pool');

        $fields->field('pool')
            ->control('inputGroup')
            ->hidden(false)
            ->required(true)
            ->itemBegin('pool')->control('picker')->items($pools)->value(data('poolID'))->itemEnd();

        $fields->moveBefore('pool', 'product');
        if($from === 'board')
        {
            $fields->remove('title');
            $fields->field('title')
            ->control('colorInput', array('colorValue' => data('demand.color')))
            ->value($title);
            $fields->moveBefore('title', 'category');
        }
        if(!empty($subIDs)) $fields->field('subIDs')->control('hidden')->value($subIDs);
        $node->setProp('fields', $fields);
    });
}
