window.handleImportObject = function(event)
{
    const table = zui.DTable.query('#table-board-importstory').$;
    const data = table.getChecks().map(id => table.getRowInfo(id).data);
    const objectType = $('#importObjectSearch').data('objectType');
    importObjectToBoard(data, $.extend({objectType: objectType}, table.options));
    zui.Modal.hide(event.target);
};

window.handleChangeImportType = function(storyType)
{
    const $form     = $('#importObjectSearch');
    const changeUrl = $form.data('changeUrl');
    const productID = $form.find('[name=productID]').val();
    const url       = zui.formatString(changeUrl, {storyType: storyType, productID: productID});
    loadModal(url, $form.closest('.modal').attr('id'));
};

window.handleImportBeforeSearch = function(data)
{
    const $form = $('#importObjectSearch');
    const storyType = $form.find('[name=storyType]').val();
    const productID = $form.find('[name=productID]').val();
    const url = $form.data('actionUrl');
    data.actionURL = zui.formatString(url, {storyType: storyType, productID: productID});
    return data;
};

window.handleImportObjectSearch = function()
{
    const $form = $('#importObjectSearch');
    const url = $form.data('actionUrl');
    const isInModal = !!$form.closest('.modal').length;
    const storyType = $form.find('[name=storyType]').val();
    const productID = $form.find('[name=productID]').val();
    loadTable(zui.formatString(url, {storyType: storyType, productID: productID}), '#table-board-importstory', {partial: isInModal});
    return false;
};

window.renderStoryCell = function(result, info)
{
    const story = info.row.data;
    if (info?.col?.name === 'title' && gradeGroup?.[story.type]?.[story.grade]?.name && result) {
        let html = '';
        let gradeLabel = gradeGroup[story.type][story.grade].name;
        if (gradeLabel) html += `<span class='label gray-pale rounded-xl clip'>${gradeLabel}</span> `;
        if (html) {
            result.unshift({ html });
            result.forEach((item, index) =>
            {
                if (item.props?.className?.includes('dtable-child-label'))
                {
                    result.splice(1, index);
                }
            });
        }
    }
    if(info?.col?.name === 'plan' && (result[0] == 0 || !result[0]) )
    {
        result[0]  = '';
    }
    return result;
};
