<?php
/**
 * The ui file of board of ZenTaoPMS.
 *
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(http://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Fei Lu<lufei@easycorp.ltd>
 * @package     board
 * @link        https://www.zentao.net
 */

namespace zin;

jsVar('libType', $type);
modalHeader(set::title($lang->board->createSpace), set::titleClass('text-lg font-bold'));

formPanel
(
    formRow
    (
        formGroup
        (
            set::label($lang->board->spaceName),
            set::width('3/4'),
            set::required(true),
            set::name('name')
        )
    ),
    formRow
    (
        setID('aclBox'),
        formGroup
        (
            set::label($lang->board->acl),
            set::width('3/4'),
            radioList
            (
                set::name('acl'),
                set::items($lang->board->aclList),
                set::value($acl),
                on::change("toggleAcl('space')")
            )
        )
    ),
    formRow
    (
        setID('whiteListBox'),
        setClass('hidden'),
        formGroup
        (
            set::label($lang->board->whiteList),
            set::width('3/4'),
            div
            (
                setClass('w-full check-list'),
                div
                (
                    setClass('w-full'),
                    inputGroup
                    (
                        $lang->board->group,
                        picker
                        (
                            set::name('groups[]'),
                            set::items($groups),
                            set::multiple(true)
                        )
                    )
                ),
                div
                (
                    setClass('w-full'),
                    userPicker(set::label($lang->board->user), set::items($users))
                )
            )
        )
    ),
    formRow
    (
        setID('aclAPIBox'),
        setClass('hidden'),
        formGroup
        (
            set::label($lang->board->acl),
            radioList
            (
                set::name('acl'),
                set::items($lang->api->aclList)
            )
        )
    ),
    formRow
    (
        setID('aclOtherBox'),
        setClass('hidden'),
        formGroup
        (
            set::label($lang->board->acl),
            radioList
            (
                set::name('acl'),
                set::items($lang->board->aclList)
            )
        ),
        formHidden('type', $type)
    )
);

render();
