<?php
/**
 * The template view file of board module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Fei Lu<lufei@easycorp.ltd>
 * @package     board
 * @link        https://www.zentao.net
 */
namespace zin;

featureBar
(
    set::current($browseType),
    set::link(createLink('board', $this->app->rawMethod, "browseType={key}"))
);

$canCreateBoard = common::hasPriv('board', 'createBoard');

$cards = array();
foreach($templates as $template)
{
    $cards[] = div
    (
        setClass('card-list-item item'),
        div
        (
            setClass('card ring py-2 cursor-pointer group board-canvas'),
            setData('id', $template->id),
            div
            (
                setClass('card-img relative'),
                $template->cover ? img(setClass('w-full h-full object-cover'), set::src($template->cover)) : null,
                div
                (
                    setClass('card-img-overlay absolute inset-0 col justify-between items-start p-3 bg-canvas bg-opacity-70 opacity-0 group-hover:opacity-100 transition-opacity backdrop-blur-sm'),
                    div(setClass('text-primary line-camp-3'), $template->introduction),
                    btn
                    (
                        set::type('primary'),
                        set::title($lang->board->create),
                        set::icon('plus'),
                        set::url(createLink('board', 'createByTemplate', "templateID=$template->id")),
                        toggle::modal(),
                        $lang->board->createBoard
                    )
                )
            ),
            div
            (
                setClass('card-heading pt-2 pb-0 relative'),
                div
                (
                    setClass('card-title font-bold group-hover:text-primary text-clip overflow-hidden whitespace-nowrap flex-auto'),
                    set::title($template->name),
                    $template->name
                )
            )
        )
    );
}

div
(
    setClass('card-list card-grid'),
    setCssVar('list-count-per-row', '4'),
    setStyle('margin', '-10px'),
    h::css('.card-img {height: 134px; margin: 0 8px}'),
    $cards
);
